/***********************************************************************/
/*                                                                     */
/*                           Objective Caml                            */
/*                                                                     */
/*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         */
/*                                                                     */
/*  Copyright 1996 Institut National de Recherche en Informatique et   */
/*  Automatique.  Distributed only by permission.                      */
/*                                                                     */
/***********************************************************************/

/* $Id: cst2constr.c,v 1.1.1.1 1997/09/09 17:38:28 blanchet Exp $ */

#include <mlvalues.h>
#include <fail.h>
#include "cst2constr.h"

value cst_to_constr(n, tbl, size, deflt)
     int n;
     int * tbl;
     int size;
     int deflt;
{
  int i;
  for (i = 0; i < size; i++)
    if (n == tbl[i]) return Val_int(i);
  return Val_int(deflt);
}
