/***********************************************************************/
/*                                                                     */
/*                           Objective Caml                            */
/*                                                                     */
/*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         */
/*                                                                     */
/*  Copyright 1996 Institut National de Recherche en Informatique et   */
/*  Automatique.  Distributed only by permission.                      */
/*                                                                     */
/***********************************************************************/

/* $Id: rewinddir.c,v 1.1.1.1 1997/09/09 17:38:31 blanchet Exp $ */

#include <mlvalues.h>
#include "unixsupport.h"
#include <sys/types.h>
#ifdef HAS_DIRENT
#include <dirent.h>
#else
#include <sys/dir.h>
#endif

#ifdef HAS_REWINDDIR

value unix_rewinddir(d)          /* ML */
     value d;
{
  rewinddir((DIR *) d);
  return Val_unit;
}

#else

value unix_rewinddir() { invalid_argument("rewinddir not implemented"); }

#endif
