(***********************************************************************)
(*                                                                     *)
(*                         Fast Escape Analysis                        *)
(*                                                                     *)
(*                  Alain Deutsch, INRIA Rocquencourt                  *)
(*                                                                     *)
(*  Copyright 1995 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* $Id: lanalysis.mli,v 1.3 2001/03/08 10:41:24 bblanche Exp $ *)

(* Abstract interpretation aimed at replacing unlimited extend allocations
    with lifetime-explicit, stack allocations *)

val optimize: Typedtree.structure -> Typedtree.structure

