(***********************************************************************)
(*                                                                     *)
(*                         Fast Escape Analysis                        *)
(*                                                                     *)
(*                  Alain Deutsch, INRIA Rocquencourt                  *)
(*                                                                     *)
(*  Copyright 1995 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* $Id: l1analysis.mli,v 1.1 1998/02/15 18:10:08 blanchet Exp $ *)

(* Abstract interpretation aimed at replacing unlimited extend allocations
    with lifetime-explicit, stack allocations *)

val optimize: Typedtree.structure -> Typedtree.structure

