(***********************************************************************)
(*                                                                     *)
(*                         Fast Escape Analysis                        *)
(*                                                                     *)
(*                  Bruno Blanchet, ENS Ulm - INRIA Rocquencourt       *)
(*                                                                     *)
(*  Copyright 1995 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

val print_with_delimitors : ('a -> unit) -> string -> 'a list -> unit
val print : int -> Ttype.newtype_t -> unit
val print_sum : Ttype.buildtype_t -> unit
val graphprint : string -> Ttype.newtype_t -> unit
val iter_params : (Ttype.graph_t -> unit) -> Ttype.newtype_t -> unit
val tuple_name : Ttype.t_type_name
