(***********************************************************************)
(*                                                                     *)
(*                         Fast Escape Analysis                        *)
(*                                                                     *)
(*                  Bruno Blanchet, ENS Ulm - INRIA Rocquencourt       *)
(*                                                                     *)
(*  Copyright 1995 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

type inline_info_t
val inline_info : inline_info_t ref
val post_transform_expression: Tenv.expression -> Typedtree.expression
val expression_value_maybe_heap_allocated: Tenv.expression -> bool
val put_inline_info : inline_info_t -> (Typedtree.pattern * 
   Tenv.expression) -> inline_info_t
