/***********************************************************************/
/*                                                                     */
/*                           Objective Caml                            */
/*                                                                     */
/*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         */
/*                                                                     */
/*  Copyright 1996 Institut National de Recherche en Informatique et   */
/*  Automatique.  Distributed only by permission.                      */
/*                                                                     */
/***********************************************************************/

/* $Id: exit.c,v 1.1.1.1 1997/09/09 17:38:29 blanchet Exp $ */

#include <mlvalues.h>
#include "unixsupport.h"

value unix_exit(n)               /* ML */
     value n;
{
  _exit(Int_val(n));
  return Val_unit;                  /* never reached, but suppress warnings */
                                /* from smart compilers */
}


